## sysvinit 2.85-22.osso11.1

=== debian/changelog ===
sysvinit (2.85-22.osso11.1) unstable; urgency=low

  * Add dependence of sysv-rc to initscripts

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  8 Sep 2006 12:19:46 +0300

sysvinit (2.85-22.osso11) unstable; urgency=low

  * Removed unneeded documentation and manuals. Fixes: NB#33613
  * Fixed some initscripts. Fixes: NB#33614
  
 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 29 Jun 2006 10:24:49 +0300
