## sysvinit 2.85-22.osso12

=== debian/changelog ===
sysvinit (2.85-22.osso12) unstable; urgency=low

  * Use virtual boot-mechanism instead of maemo-rc
  * Added maemo-rc to alternative rc system

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 12:10:40 +0300
