=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sysvinit
 Essential: yes
 Architecture: any
-Pre-Depends: ${shlibs:Depends}, initscripts, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0)
+Pre-Depends: ${shlibs:Depends}, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0) | boot-mechanism, initscripts
 Depends: coreutils
 Conflicts: last
 Replaces: last, bsdutils (<=2.0-2)
@@ -32,7 +32,7 @@
 Package: initscripts
 Architecture: any
 Replaces: sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
-Depends: ${shlibs:Depends}, sysv-rc | file-rc
+Depends: ${shlibs:Depends}
 Conflicts: kbd (<< 0.95-2), mdutils (<< 0.35-9)
 Description: Standard scripts needed for booting and shutting down
  These scripts are meant for standard Debian/GNU/Linux installations.
