## sysvinit 2.85-22.osso13

=== debian/changelog ===
sysvinit (2.85-22.osso13) unstable; urgency=low

  * policy-rc.d added to the package
  * check for scratchbox moved from invoke-rc.d to policy rc.d
    Thanks to Eduard Bartosh.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 Jan 2007 13:44:45 +0200
