=== debian/rules ===
--- 
+++ 
@@ -177,6 +177,7 @@
 		$(tmp)/usr/share/man/es/man8
 	install -g root -m 755 debian/sysv-rc/sbin/invoke-rc.d $(tmp)/usr/sbin
 	install -g root -m 755 debian/sysv-rc/sbin/update-rc.d $(tmp)/usr/sbin
+	install -g root -m 755 debian/sysv-rc/sbin/policy-rc.d $(tmp)/usr/sbin
 	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9] \
 		 $(tmp)/usr/share/man/??/man*/*.[0-9]
 	install -g root -m 644 -o root debian/sysv-rc/copyright \
