## sysvinit 2.85-22.osso14

=== debian/changelog ===
sysvinit (2.85-22.osso14) unstable; urgency=low

  * debian/control: fixed maintainer and dependences. Fixes: NB#55201
    - use busybox | coreutils to force apt not to calculate
      dependences of real coreutils package when busybox is used.
  * Changed maintainer from Debian's to OSSO's

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  9 Aug 2007 15:17:41 +0300
