=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sysvinit
 Section: base
 Priority: required
-Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
-Standards-Version: 3.5.2.0
-Build-Depends: bash, libc6-dev
+Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
+Standards-Version: 3.7.2
 
 Package: sysvinit
 Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0) | boot-mechanism, initscripts
-Depends: coreutils
+Depends: busybox | coreutils
 Conflicts: last
 Replaces: last, bsdutils (<=2.0-2)
 Description: System-V like init
