## sysvinit 2.85-22.osso15

=== debian/changelog ===
sysvinit (2.85-22.osso15) unstable; urgency=low

  * Binary packages are not essential anymore

 -- Grigori Timonen <Grigori.Timonen@nokia.com>  Wed, 05 Mar 2008 16:08:39 +0200
