=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Standards-Version: 3.7.2
 
 Package: sysvinit
-Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0) | boot-mechanism, initscripts
 Depends: busybox | coreutils
