## sysvinit 2.87dsf-4ubuntu11

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu11) karmic; urgency=low

  * debian/control:
    - Change the upstart dependency to a recommend in sysinit-utils
      because its not a hard dependency. This will fix a dependency
      cycle that causes kubuntu upgrades to fail (LP: ä452090)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Oct 2009 15:12:44 +0200

sysvinit (2.87dsf-4ubuntu10) karmic; urgency=low

  * If /var/run/init.upgraded exists, call telinit u before unmounting
    the root filesystem.

  * Remove RAMRUN and RAMLOCK settings from default rcS script to avoid
    confusion, remove from /etc/default/rcS on upgrade too.
  * Always skip these when unmounting filesystems.
  * Remove from the manual pages.

  * Remove unsupported ASYNCMOUNTNFS documentation from the manual page.

  * Remove documentation about tmpfs, since mountall handles these.
  * Remove documentation about /sys in fstab, since mountall actually lets
    you specify options there.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 05:20:19 +0100

sysvinit (2.87dsf-4ubuntu8) karmic; urgency=low

  * debian/control: Do not build the sysvinit binary package any more. It
    conflicts with upstart, which is required, so it is uninstallable.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Oct 2009 16:32:06 +0200

sysvinit (2.87dsf-4ubuntu7) karmic; urgency=low

  * debian/rules: add a versioned dependency on the upstart that provides
    the reload action
  * debian/service/service: handle reload and force-reload actions as
    upstart commands, LP: #433544

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Sep 2009 14:25:37 -0700

sysvinit (2.87dsf-4ubuntu6) karmic; urgency=low

  * Remove conffiles that are no longer included in this package.
    LP: #430355.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 21 Sep 2009 16:29:34 -0700

sysvinit (2.87dsf-4ubuntu5) karmic; urgency=low

  * Restore change made by Martin Pitt in intrepid, but lost recently (LP:
    #431789):
    - Let sysvinit-utils only replace the old sysvutils, do not conflict to
      it. This is a less clean way to do the transition than with a proper
      Conflicts/Replaces, but the latter induces a Pre-Depends/Conflicts
      loop which is unresolvable.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Sep 2009 21:33:08 +0100

sysvinit (2.87dsf-4ubuntu4) karmic; urgency=low

  * debian/service/service: use upstart for service management, if an
    upstart configuration exists, LP: #427277

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Sep 2009 10:21:05 -0500

sysvinit (2.87dsf-4ubuntu3) karmic; urgency=low

  FFE LP: #427356.

  * Various initscripts have been replaced by Upstart jobs shipped in
    other packages, the following have been removed:
    - hostname.sh
    - mountkernfs.sh
    - mountdevsubfs.sh
    - checkroot.sh
    - mtab.sh
    - checkfs.sh
    - mountall.sh
    - mountall-bootclean.sh
    - mountoverflowtmp
    - mountnfs.sh
    - mountnfs-bootclean.sh
    - bootmisc.sh
    - bootlogs
    - rmnlogin

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 02:45:59 +0100

sysvinit (2.87dsf-4ubuntu2) karmic; urgency=low

  * Use legacy boot ordering on fresh installs too.  Ooops.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 02:44:35 +0100

sysvinit (2.87dsf-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Support Cell processor:
      + debian/initscripts/postinst: Create spu system group and /spu mount
        point if we are running on a Cell processor.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Mount spufs if Cell
        processor is detected.
      + debian/initscripts/lib/init/mount-functions.sh: Modprobe spufs
        if not available.
      + debian/control: Add initscripts dependency 'passwd' for groupadd.
      (Forwarded to Debian #483399)
    - Use tmpfs mounts for /var/lock and /var/run:
      + debian/initscripts/share/default.rcS: Enable RAMRUN and RAMLOCK by
        default.
      + debian/initscripts.postinst: Enable RAMRUN and RAMLOCK in
        /etc/default/rcS on upgrades. This needs to be kept until the next
        LTS.
      + debian/initscripts/etc/init.d/mountkernfs.sh: Propagate files from the
        initramfs to our new /var/run, so that we can populate
        /var/run/sendsigs.omit from initramfs.
    - Boot ordering differences:
      + mountkernfs.sh: 02 -> 01
      + mountdevsubfs.sh: 04 -> 11
      + bootlogd: disabled by default
      + checkroot.sh: 10 -> 20
      + mtab.sh: 12 -> 22
    - debian/patches/91_sulogin_lockedpw.dpatch: Disable "root account is
      locked" warning, since this is the default in Ubuntu. Document this in
      sulogin.8.
    - debian/control: Drop Essential: yes from packages since we use Upstart.
    - debian/control: Conflict/Replace sysvconfig which has also previously
      provided service(8).
    - debian/control, debian/rules: Previous name for sysvinit-utils was
      'sysvutils' in Ubuntu, so Conflict/Replace/Provide it. Also create a
      dummy sysvutils package, since Hardy has reverse versioned dependencies
      to it. This needs to be kept until after the next LTS.
    - debian/control: Depend on lsb-base (>= 3.2-14) for status_of_proc()
      function.
    - debian/initscripts/etc/init.d/checkfs.sh: Don't depend on hwclockfirst
      which Ubuntu does not have.
    - debian/initscripts/etc/init.d/mountkernfs.sh: Always mount devpts, and
      do not touch /dev/ptmx (which is already managed by udev).
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount fusectl if it is
      available
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount securityfs if it is
      available. This allows for easier AppArmor confinement of applications
      early in the boot process. LP: #399954
    - debian/initscripts/etc/init.d/mountkernfs.sh: mount debugfs if it is
      available.
    - debian/initscripts/etc/init.d/ondemand: Sleep for 60 seconds, then

