## sysvinit 2.87dsf-4ubuntu12

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu12) karmic-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountfs: do not use the -f option when 
    unmounting WEAK_MTPTS, in the case of bind mounts in particular, that 
    results in the underlying device being unmounted, LP: #468589  

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 03 Nov 2009 23:04:53 +0000
