=== debian/control ===
Source: sysvinit
Section: admin
Priority: required
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Henrique de Moraes Holschuh <hmh@debian.org>, Kel Modderman <kel@otaku42.de>
Build-Depends: debhelper (>= 1), po-debconf, quilt (>= 0.40), libselinux1-dev (>= 1.14) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsepol1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.3
Homepage: http://freshmeat.net/projects/sysvinit/
Vcs-Svn: svn://svn.debian.org/pkg-sysvinit/sysvinit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-sysvinit/sysvinit/trunk/

Package: sysvinit-utils
Architecture: any
Conflicts: last, sysvconfig, chkconfig (<< 11.0-79.1-1ubuntu1), sysvconfig (<< 0.80ubuntu1)
Replaces: sysvutils (<< 2.86.ds1-56ubuntu1), last, sysvinit (<= 2.86.ds1-65), sysvconfig (<< 0.80ubuntu1)
Provides: sysvutils
Depends: ${shlibs:Depends}
Recommends: upstart (>= 0.6.3-4)
Suggests: sash
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, last, lastb, mesg, pidof, service, sulogin

Package: sysv-rc
Architecture: all
Recommends: lsb-base (>= 3.2-14)
Conflicts: file-rc
Replaces: file-rc
Suggests: sysv-rc-conf, bum
Depends: debconf | debconf-2.0, sysvinit-utils (>= 2.86.ds1-62), insserv (>> 1.12.0-10)
Breaks: initscripts (<< 2.86.ds1-63)
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, shutting down and changing runlevels,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, debianutils (>= 2.13.1), lsb-base (>= 3.2-14), sysvinit-utils (>= 2.86.ds1-39), sysv-rc | file-rc, passwd
Recommends: psmisc, e2fsprogs
Conflicts: libdevmapper1.02.1 (<< 2:1.02.24-1)
Replaces: libc6, libc6.1, libc0.1, libc0.3
Breaks: hostname (<< 2.95ubuntu1~boot2), upstart (<< 0.6.3-2~boot4), rsyslog (<< 4.2.0-2ubuntu3~boot1), udev (<< 146-2~boot6)
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 GNU/Linux system at boot time and shut it down at halt or
 reboot time.

Package: sysvutils
Architecture: all
Priority: extra
Section: oldlibs
Depends: sysvinit-utils
Description: System-V-like utilities (transitional package)
 This dummy package is provided for a smooth transition from the
 previous sysvutils package (the package is replaced by sysvinit-utils).
 It may safely be removed after installation.
