## sysvinit 2.87dsf-4ubuntu17

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu17) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: additional upstart jobs may be
    /started/ on shutdown after this script has first been invoked; so don't
    assume the list of known jobs is constant, instead requery initctl before
    each killall5 -CONT to properly exclude any new jobs upstart knows about
    so that we aren't waiting an extra 10 seconds for no reason.
    LP: #537262.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 Mar 2010 00:08:33 -0700

sysvinit (2.87dsf-4ubuntu16) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: Comment out the
    report_unkillable() call. We collected enough data for now from beta-1
    installations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Mar 2010 11:39:24 +0100

sysvinit (2.87dsf-4ubuntu15) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: If we detect processes which don't
    want to die on SIGTERM (and thus cause the 10 second timeout until they
    get killed), call /usr/share/apport/unkillable_shutdown (if existing), so
    that we get reports about those.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Mar 2010 14:43:49 +0100

sysvinit (2.87dsf-4ubuntu14) lucid; urgency=low

  * debian/patches/92_sulogin_support_static_sh.patch:
    - add support for /bin/static-sh as fallback if the regular
      shell fails to execute (LP: #505887)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Jan 2010 09:40:46 +0100

sysvinit (2.87dsf-4ubuntu13) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs:
    - Omit any process being controlled by Upstart.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 30 Nov 2009 23:36:47 +0000
