=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu17.4) lucid-proposed; urgency=low

  * debian/initscripts.postinst
    Do not tail /etc/motd to /etc/motd.tail if the former is a symlink.
    This prevents double motd banners on login.  Also, take from the
    Oneiric version of the file, a stanza to remove /etc/motd.tail if it
    appears to be a double banner.  If this does not get automatically
    cleaned up for you and you're still seeing the double banner, just
    remove /etc/motd.tail manually.  It won't come back.  (LP: #659738)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 08 Jun 2011 14:56:58 -0400

sysvinit (2.87dsf-4ubuntu17.3) lucid-proposed; urgency=low

  * debian/sysv-rc/sbin/invoke-rc.d: replace RUNLEVEL with RUNLEVELHELPER.
    Using RUNLEVEL causes spurious failures when invoke-rc.d is invoked
    with RUNLEVEL already defined in the environment (as it is e.g. during
    bootup) since invoke-rc.d's RUNLEVEL will become an exported variable
    at that point and cause /sbin/runlevel to return bad data. (LP: #619246)

 -- James Troup <james.troup@canonical.com>  Tue, 24 May 2011 11:41:45 +0000

sysvinit (2.87dsf-4ubuntu17.2) lucid-proposed; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Tue, 05 Apr 2011 12:33:34 +0300

sysvinit (2.87dsf-4ubuntu17.1) lucid-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountroot: Improve handling of 
    respawn of init: we now wait for inits map file to change. If this
    doesn't happen within 5 seconds, we unmount forcibly. (LP: #672177)

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 28 Jan 2011 15:33:50 +0000
