## sysvinit 2.87dsf-4ubuntu17.5

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu17.5) lucid-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountnfs.sh: emit a new event,
    unmounted-remote-filesystems, to allow stopping portmap
    and others. (LP: #711425)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 20 Jan 2012 01:15:42 -0800
