## sysvinit 2.87dsf-4ubuntu18

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu18) maverick; urgency=low

  * Allocate pidof/killall5 omitpid buffers dynamically.  16 is too small
    for killall5 now that all Upstart jobs are omitted.
  * Create /lib/init/rw as a symlink to /var/run on new installations, and
    fix it up in /etc/init.d/umountroot on upgrade, as it's difficult to do
    this at any other time; this saves us chasing around all the individual
    packages that use one or the other for sendsigs.omit.d (LP: #541512).
  * Handle /var/run/sendsigs.omit.d explicitly, just in case.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Sep 2010 10:48:28 +0100
