## sysvinit 2.87dsf-4ubuntu19.2

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu19.2) maverick-proposed; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Tue, 05 Apr 2011 12:35:31 +0300

sysvinit (2.87dsf-4ubuntu19.1) maverick-proposed; urgency=low

  * debian/initscripts/etc/init.d/umountroot: Improve handling of 
    respawn of init: we now wait for inits map file to change. If this doesn't
    happen within 5 seconds, we unmount forcibly. (LP: #672177)

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 28 Jan 2011 11:45:35 +0000

sysvinit (2.87dsf-4ubuntu19) maverick-proposed; urgency=low

  * debian/initscripts.postinst (LP: #659738):
    - do not create motd.tail from motd on systems using update-motd.
    - clean up incorrectly created motd.tail from upgrade to Maverick.

 -- Kees Cook <kees@ubuntu.com>  Thu, 28 Oct 2010 20:30:54 -0700
