## sysvinit 2.87dsf-4ubuntu23

=== src/Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 
 # Additional libs for GNU libc.
-ifneq ($(wildcard /usr/lib/libcrypt.a),)
+ifneq ($(wildcard /usr/lib/*/libcrypt.a),)
 LCRYPT		= -lcrypt
 endif
