=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu23) natty; urgency=low

  * Fix FTBFS with changed libcrypt multiarch library location.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Mar 2011 21:50:35 +0100

sysvinit (2.87dsf-4ubuntu22) natty; urgency=low

  [ Dan Muresan ]
  * sendsigs: OMITPIDS needs to be reinitalized for every loop iteration
    before concatanating pids of upstart jobs to it. Otherwise it overflows
    and throws an error. (LP: #665185)

 -- Surbhi Palande <surbhi.palande@canonical.com>  Mon, 28 Mar 2011 13:11:49 +0300

sysvinit (2.87dsf-4ubuntu21) natty; urgency=low

  * debian/initscripts/etc/init.d/umountnfs.sh: emit a new event,
    unmounted-remote-filesystems, to allow stopping portmap
    and others. (LP: #711425)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 04 Mar 2011 12:18:15 +0000

sysvinit (2.87dsf-4ubuntu20) natty; urgency=low

  [ Michael Vogt ]
  * debian/patches/100_fix_ftbfs_enoioctlcmd.patch: 
    - cherry pick upstream fix for missing ENOIOCTLCMD, this 
      fixes a FTBFS

  [ James Hunt ]
  * debian/initscripts/etc/init.d/umountroot: Improve handling of
    respawn of init: we now wait for inits map file to change. If this
    doesn't happen within 5 seconds, we unmount forcibly.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Mar 2011 10:38:34 +0100
