## sysvinit 2.87dsf-4ubuntu23.1

=== debian/changelog ===
sysvinit (2.87dsf-4ubuntu23.1) natty-proposed; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: Only omit jobs that
    are in the 'start' goal. Those that are destined for 'stop' are
    waited on and killed like all other processes. (LP: #616287) Thanks
    to Launchpad user "codewarrior".

 -- Bill Cahill <davrosmeglos@gmail.com>  Tue, 13 Sep 2011 22:41:05 -0700
