=== debian/rules ===
--- 
+++ 
@@ -129,7 +129,7 @@
 	install -d -o root -g root -m 755 $(tmp)/sys
 endif
 	install -d -o root -g root -m 755 $(tmp)/lib/init
-	install -d -o root -g root -m 755 $(tmp)/lib/init/rw
+	ln -s /var/run $(tmp)/lib/init/rw
 	install -d -o root -g root -m 755 $(tmp)/usr/share/initscripts
 	install -d -o root -g root -m 755 $(tmp)/var/lib/initscripts
 	install -d -o root -g root -m 755 $(tmp)/var/log/fsck
